Legrand / Raritan Xerus™ JSON-RPC API for Remote Access Devices like KX4-101, KX3G2

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Public Attributes | List of all members
radm::OutletPort Interface Reference
Inheritance diagram for radm::OutletPort:

## Classes
struct | AssociatedAccessPortChangedEvent
| Event: The associated port has changed. More...
struct | PowerOperationEvent
| Event: A power operation was started. More...
struct | PowerStateChangedEvent
| Event: The outlet power state has changed. More...

## Public Types
enum | PowerState { UNKNOWN , OFF , ON }

## Public Member Functions
PowerState | getState ()
| Get current power state of this port.
int | doPowerOperation (in PowerOperation op)
| Change the power state of this port.
Device | getParent ()
| Get parent device of this port.
BasePort | getAssociatedAccessPort ()
| Get port this port is associated with.
Public Member Functions inherited from radm::BasePort
Metadata | getMetadata ()
| Get port meta data.
string | getName ()
| Get port name.
int | setName (in string name)
| Set port name.

## Public Attributes
constant int | ERR_PDU_NOT_ACTIVE = 10
Public Attributes inherited from radm::BasePort
constant int | ERR_INVALID_ARGUMENT = 1

## Detailed Description

Definition at line 11 of file OutletPort.idl.

## Member Enumeration Documentation

## ◆ PowerState

enum radm::OutletPort::PowerState

Definition at line 14 of file OutletPort.idl.

## Member Function Documentation

## ◆ doPowerOperation()

int radm::OutletPort::doPowerOperation | ( | in PowerOperation | op | ) |

Change the power state of this port.

Parameters

  op | Operation to execute

Returns
  0 on success
  10 if PDU is not active
  101..106 if SNMP communication failed (see constants in `PowerDevice`)

## ◆ getAssociatedAccessPort()

BasePort radm::OutletPort::getAssociatedAccessPort | ( |  | ) |

Get port this port is associated with.

Note: In practice a `AccessPort` instance will be returned if an association is present.

Returns
  associated port

## ◆ getParent()

Device radm::OutletPort::getParent | ( |  | ) |

Get parent device of this port.

Note: In practice a `PowerDevice` instance will be returned.

Returns
  Parent device

## ◆ getState()

PowerState radm::OutletPort::getState | ( |  | ) |

Get current power state of this port.

Returns
  Power state

## Member Data Documentation

## ◆ ERR_PDU_NOT_ACTIVE

constant int radm::OutletPort::ERR_PDU_NOT_ACTIVE = 10

Definition at line 12 of file OutletPort.idl.

The documentation for this interface was generated from the following file:

- OutletPort.idl